These docs are for v1. Click to read the latest docs for v3.

Refund

Initiate refund to the customer for a failed cash to digital transaction

👍

POST

/transactions/:id/refund

eg: /transactions/12208775/refund

Note: Parameters passed in request body should be application/x-www-form-urlencoded

This API is used to safely refund cash to a customer in case his/her transaction fails.

  • When the transaction fails, we automatically send an OTP to the customer
  • Ask for that OTP from the customer and call this API with the OTP.
  • This will act as a consent that you have actually refunded back the cash to the customer. After this API call, we will refund the eValue into your account.
Path Params
string
required

can be Eko tid or partner's unique reference id

Form Data
string
required

The unique cell number with which you are onboarded on Eko's platform. For UAT refer to [Platform Credentials] (https://developers.eko.in/docs/platform-credentials)

int32
required

OTP shared with customer on the registered mobile number

int32
required
Defaults to 1

By Default pass the value as 1

string
required

User code value of the retailer from whom the request is coming

Headers
string
required

Your unique API key that will authenticate your request. For UAT, refer to [Platform Credentials] (https://developers.eko.in/docs/platform-credentials)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json